#!/perl -w
# NAME: showcmd.pl
# AIM: Just out the command arguments found, if any.
use strict;
use warnings;


if (@ARGV) {
	print "Showing commands ... " . scalar @ARGV . "\n";
	show_cmd(@ARGV);
} else {
	print "No command found ...\n";
}

exit(0);

sub show_cmd {
	my (@av) = @_;
	while (@av) {
		my $arg = $av[0];
		print "[$arg] ";
		shift @av;
	}
}

# eof
